### Method

# Gtk Widget insert_after

#### Declaration [src]

    void
    gtk_widget_insert_after (
      GtkWidget* widget,
      GtkWidget* parent,
      GtkWidget* previous_sibling
    )

#### Description [src]

Inserts `widget` into the child widget list of `parent`.

It will be placed after `previous_sibling`, or at the beginning if `previous_sibling` is `NULL`.

After calling this function, `gtk_widget_get_prev_sibling(widget)` will return `previous_sibling`.

If `parent` is already set as the parent widget of `widget`, this function can also be used to reorder `widget` in the child widget list of `parent`.

This API is primarily meant for widget implementations; if you are just using a widget, you must use its own API for adding children.

#### Parameters

`parent` | `GtkWidget`
| The parent `GtkWidget` to insert `widget` into.
| The data is owned by the caller of the function.
`previous_sibling` | `GtkWidget`
| The new previous sibling of `widget`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.